> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete custom field

> This endpoint enables you to delete a specific custom field of your organization by specifying its ID. Use the `force` parameter to delete fields that have values assigned to businesses. `PROVIDER` users can pass `org_id` to delete a custom field for a managed organization.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml delete /custom_fields/{custom_field_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /custom_fields/{custom_field_id}:
    delete:
      tags:
        - Custom Fields
      summary: Delete custom field
      description: >
        This endpoint enables you to delete a specific custom field of your
        organization by specifying its ID. Use the `force` parameter to delete
        fields that have values assigned to businesses. `PROVIDER` users can
        pass `org_id` to delete a custom field for a managed organization.
      operationId: deleteCustomFields
      parameters:
        - $ref: '#/components/parameters/custom_field_id'
        - $ref: '#/components/parameters/query_org_id'
        - name: force
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            If true, destructive modification will be performed and businesses
            values will be deleted accordingly
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    $ref: '#/components/schemas/RequestStatus'
        '400':
          description: Custom field value is defined for a business
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    properties:
                      json:
                        type: object
                        properties:
                          businesses_count:
                            type: integer
                            description: Number of businesses in error
                            example: 2
                          description:
                            type: string
                            description: Error description
                            example: >-
                              At least one business has this custom field,
                              please send forced_update=true to force update.
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    custom_field_id:
      in: path
      name: custom_field_id
      required: true
      schema:
        $ref: '#/components/schemas/CustomFieldId'
    query_org_id:
      in: query
      name: org_id
      schema:
        type: integer
      required: false
      description: >
        Organization ID. Only `PROVIDER` users can specify a different
        organization. If not provided, defaults to your own organization.
  schemas:
    RequestStatus:
      description: Request status
      type: string
      enum:
        - success
    CustomFieldId:
      description: Id of the custom field
      type: integer
      example: 42
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````